Bug 216649 - Memory leak in credential caching.
Memory leak in credential caching.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: krb5 (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 07:21 EST by Jose Plans
Modified: 2010-10-22 03:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2007-0788
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:13:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mem leak fixed on ccache (428 bytes, patch)
2006-11-21 07:21 EST, Jose Plans
no flags Details | Diff

  None (edit)
Description Jose Plans 2006-11-21 07:21:35 EST
Description of problem:
This is a leak fixed upstream, on the ccache code. (lib/krb5/ccache/ccbase.c)
A customer has been hitted by it and would like this to be fixed on RHEL 4.x

Version-Release number of selected component (if applicable):
  1.3.4-33

How reproducible:
  Unknown from the original report.

Steps to Reproduce:
1. same as above.
I can just guess seeing how the ccache works.. we should get this leak everytime
we need to generate an object.
  
Actual results:
leakage.

Expected results:
no leaks.

Additional info:
[Patch attached that matches upstream] 1.5.x
[Thread from JRA proposing a patch (different and not the same as upstream)]
* http://mailman.mit.edu/pipermail/kerberos/2004-November/006644.html
Comment 1 Jose Plans 2006-11-21 07:21:36 EST
Created attachment 141759 [details]
mem leak fixed on ccache
Comment 3 RHEL Product and Program Management 2006-11-21 13:44:13 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 RHEL Product and Program Management 2007-04-17 17:09:17 EDT
Although this bugzilla was approved for RHEL 4.5, we were unable
to resolve it in time to be included in the release.  Therefore
it is now proposed for RHEL 4.6.
Comment 7 RHEL Product and Program Management 2007-05-09 04:53:02 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 errata-xmlrpc 2007-11-15 11:13:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0788.html

Note You need to log in before you can comment on or make changes to this bug.